routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// ADMIN AREA
Route::namespace('Admin')->group( function () {
    Route::get('admin/login', 'LoginController@login_get')->name('admin.login');
//    Route::post('admin/login', 'LoginControoler@login_post')->name('admin.login');
});

Route::group(['prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::get('/linkstorage', function () {
        Artisan::call('storage:link');
    });
    Route::namespace('Admin')->group( function () {
        // Dashboard
        Route::get('/', 'DashboardController@index')->name('dashboard');

        //Admin services
        Route::resource('services', 'ServiceController');
        Route::post('services/changeStatus/{id}', 'ServiceController@changeStatus')->name('services.changeStatus');

        Route::group(['prefix' => 'service', 'as' => 'service.'], function () {
            Route::resource('posts', 'ServicePostController');
            Route::post('posts/changeStatus/{id}', 'ServicePostController@changeStatus')->name('posts.changeStatus');
        });

        //Admin Projects
        Route::resource('projects', 'ProjectController');
        Route::post('projects/changeStatus/{id}', 'ProjectController@changeStatus')->name('projects.changeStatus');

        Route::group(['prefix' => 'project', 'as' => 'project.'], function () {
            Route::resource('posts', 'ProjectPostController');
            Route::post('posts/changeStatus/{id}', 'ProjectPostController@changeStatus')->name('posts.changeStatus');
        });

        Route::resources([
            'contacts' => 'ContactController',
            'banners' => 'BannerController',
        ]);

   });
});




//Route::namespace('Auth')->group(function () {
//    Route::get('cart/login', 'CartLoginController@showLoginForm')->name('cart.login');
//    Route::post('cart/login', 'CartLoginController@login')->name('cart.login');
//    Route::get('logout', 'LoginController@logout');
//});

Route::namespace('Front')->group( function () {
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/dich-vu', 'ServiceController@index')->name('services.index');
    Route::get('/dich-vu/{slug}', 'ServiceController@detail')->name('services.detail');
    Route::get('/dich-vu/{slug_service}/{slug_post}', 'ServiceController@post_detail')->name('services.post.detail');
    Route::get('/san-pham', 'OurProjectController@index')->name('project');
    Route::get('/lien-he', 'ContactController@index')->name('contact');
    Route::get('/gioi-thieu', 'AboutController@index')->name('about');
});

app/Contact.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{
    protected $table = "contacts";

    protected $fillable = [
        'email',
        'phone',
        'address',
        'description'
    ];
}

app/Http/Controllers/Admin/ContactController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Contact;
use App\Http\Controllers\Controller;
use App\Service;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Config;

class ContactController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $contacts = Contact::latest()->paginate(15);

        return view('admin.contacts.list', compact('contacts'))
            ->with('i', (request()->input('page', 1) - 1) * 15);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.contacts.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $input_datas = $request->all();
        $request->validate([
            'email'         => 'required|email',
            'phone'         => 'required|numeric',
            'address'          => 'required'
        ]);

        unset($input_datas['_token']);
        Contact::firstOrCreate($input_datas);

        return redirect()->route('admin.contacts.index')->with('message', 'Create successful');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Contact  $contact
     * @return \Illuminate\Http\Response
     */
    public function show(Contact $contact)
    {
        return view('admin.contacts.show', compact('contact'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Contact  $contact
     * @return \Illuminate\Http\Response
     */
    public function edit(Contact $contact)
    {
        return view('admin.contacts.edit', compact('contact'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Contact  $contact
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Contact $contact)
    {
        $input_datas = $request->all();
        $request->validate([
            'email'         => 'required|email',
            'phone'         => 'required|numeric',
            'address'          => 'required'
        ]);

        unset($input_datas['_token']);
        $contact->update($input_datas);

        return redirect()->route('admin.contacts.index')->with('message', 'Update successful');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Contact  $contact
     * @return \Illuminate\Http\Response
     */
    public function destroy(Contact $contact)
    {
        //
    }
}

app/Http/Controllers/Front/ContactController.php
<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ContactController extends Controller
{
    public function index()
    {
        return view('front.contacts.index');
    }
}

resources/views/admin/contacts/create.blade.php
@extends('layouts.admin.app')

@section('content')
    <!-- Main content -->
    <section class="content content-section">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- general form elements -->
                    <div class="card card-warning">
                        <div class="card-header">
                            <h3 class="card-title">Add Contacts</h3>
                        </div>
                        <!-- /.card-header -->
                        <!-- form start -->
                        <form role="form" action="{{ route('admin.contacts.store') }}" method="post" enctype="multipart/form-data">
                            <div class="card-body">
                                @include('layouts.errors-and-messages')
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label for="inputName">Email</label>
                                    <input type="text" name="email" class="form-control" placeholder="Enter Email" value="{{ old('email') }}">
                                </div>
                                <div class="form-group">
                                    <label for="inputSlug">Phone</label>
                                    <input type="tel" name="phone" maxlength="11" class="form-control" placeholder="Enter Phone" value="{{ old('phone') }}">
                                </div>
                                <div class="form-group">
                                    <label for="inputSlug">Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Enter Address" value="{{ old('address') }}">
                                </div>
                                <div class="form-group">
                                    <label for="exampleDescription">Description</label>
                                    <textarea class="textarea" placeholder="Place some text here" name="description" id="description">{{ old('description') }}</textarea>
                                </div>
                            </div>
                            <!-- /.card-body -->

                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">Create</button>
                                <button type="submit" class="btn btn-danger">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->

    </section>
    <!-- /.content -->
@endsection

@section('js')
    <script src="{{ asset('admin-lte/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
    <script src="{{ asset('admin-lte/plugins/jquery-validation/additional-methods.min.js') }}"></script>
    <script src="{{ asset('admin-lte/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>
    <script src="{{ asset('admin-lte/js/global.js') }}"></script>
@endsection

resources/views/admin/contacts/edit.blade.php
@extends('layouts.admin.app')

@section('content')
    <!-- Main content -->
    <section class="content content-section">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- general form elements -->
                    <div class="card card-warning">
                        <div class="card-header">
                            <h3 class="card-title">Edit Contact</h3>
                        </div>
                        <!-- /.card-header -->
                        <!-- form start -->
                        {!! Form::model($contact, [
                            'enctype' => "multipart/form-data",
                            'method' => 'PATCH',
                            'route' => ['admin.contacts.update', $contact->id]
                        ]) !!}
                            <div class="card-body">
                                @include('layouts.errors-and-messages')
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label for="inputName">Email</label>
                                    <input type="text" name="email" class="form-control" placeholder="Enter Email" value="{{ !empty($contact['email']) ? Request::old('email', $contact['email']) : '' }}  ">
                                </div>
                                <div class="form-group">
                                    <label for="inputSlug">Phone</label>
                                    <input type="tel" name="phone" maxlength="11" class="form-control" placeholder="Enter Phone" value="{{ !empty($contact['phone']) ? Request::old('phone', $contact['phone']) : '' }}">
                                </div>
                                <div class="form-group">
                                    <label for="inputSlug">Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Enter Address" value="{{ !empty($contact['address']) ? Request::old('address', $contact['address']) : '' }}">
                                </div>
                                <div class="form-group">
                                    <label for="exampleDescription">Description</label>
                                    <textarea class="textarea" placeholder="Place some text here" name="description" id="description">{{ !empty($contact['description']) ? Request::old('description', $contact['description']) : '' }}</textarea>
                                </div>
                            </div>
                            <!-- /.card-body -->

                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">Edit</button>
                                <button type="submit" class="btn btn-danger">Cancel</button>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->

    </section>
    <!-- /.content -->
@endsection

@section('js')
    <script src="{{ asset('admin-lte/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
    <script src="{{ asset('admin-lte/plugins/jquery-validation/additional-methods.min.js') }}"></script>
    <script src="{{ asset('admin-lte/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>
    <script src="{{ asset('admin-lte/js/global.js') }}"></script>
@endsection

resources/views/admin/contacts/list.blade.php
@extends('layouts.admin.app')

@section('content')
    <!-- Main content -->
    <section class="content content-section">
        <div class="container-fluid">
            <div class="row">
                <!-- /.col -->
                <div class="col-md-12">
                    @include('layouts.errors-and-messages')
                </div>
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">List Contacts</h3>
                            @if(count($contacts) < 1)
                            <a href="{{ route('admin.contacts.create') }}" class="btn btn-info float-right"><i class="fas fa-plus"></i> Add item</a>
                            @endif
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body p-0">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th style="width: 100px">#</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th style="width: 18%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($contacts) > 0)
                                    @foreach($contacts as $key => $contact)
                                        <tr>
                                            <td>{{ ++$i }}</td>
                                            <td>{{ $contact->email }}</td>
                                            <td>{{ $contact->phone }}</td>
                                            <td>{{ $contact->address }}</td>
                                            <td>
                                                <a href="{{ route('admin.contacts.show', ['contact' => $contact->id]) }}"><span class="btn-left badge bg-primary">View</span></a>
                                                <a href="{{ route('admin.contacts.edit', ['contact' => $contact->id]) }}"><span class="btn-left badge bg-success">Edit</span></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="5" style="text-align: center">
                                            Data not found!
                                        </td>
                                    </tr>
                                @endif
                                </tbody>
                            </table>
                            {!! $contacts->links() !!}
                        </div>
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection

resources/views/admin/contacts/show.blade.php
@extends('layouts.admin.app')

@section('content')
    <!-- Main content -->
    <section class="content content-section">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- general form elements -->
                    <div class="card card-warning">
                        <div class="card-header">
                            <h3 class="card-title">View Contact</h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-2">
                                        <label>Email: </label>
                                    </div>
                                    <div class="col-md-10">
                                        <span>{{ !empty($contact['email']) ? $contact['email'] : '' }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-2">
                                        <label>Phone: </label>
                                    </div>
                                    <div class="col-md-10">
                                        <span>{{ !empty($contact['phone']) ? $contact['phone'] : '' }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-2">
                                        <label>Address: </label>
                                    </div>
                                    <div class="col-md-10">
                                        <span>{{ !empty($contact['address']) ? $contact['address'] : '' }}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-2">
                                        <label>Description: </label>
                                    </div>
                                    <div class="col-md-10">
                                        <span> {!! !empty($contact['description']) ? $contact['description'] : '' !!}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /.card-body -->
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->

    </section>
    <!-- /.content -->
@endsection